Package org.apache.groovy.contracts

# Class LoopVariantViolation

java.lang.Object
java.lang.Throwable
java.lang.Error
java.lang.AssertionError
org.apache.groovy.contracts.AssertionViolation
org.apache.groovy.contracts.LoopVariantViolation

All Implemented Interfaces:
  `Serializable`

public class LoopVariantViolation extends AssertionViolation
Thrown whenever a loop variant (decreases/increases) violation occurs.

Since:
  6.0.0
See Also:
  - `AssertionViolation`
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LoopVariantViolation()`
  Creates a loop-variant violation without an explicit detail message.
  `LoopVariantViolation(boolean b)`
  Creates a loop-variant violation with a boolean detail.
  `LoopVariantViolation(char c)`
  Creates a loop-variant violation with a character detail.
  `LoopVariantViolation(double d)`
  Creates a loop-variant violation with a double-precision detail.
  `LoopVariantViolation(float f)`
  Creates a loop-variant violation with a floating-point detail.
  `LoopVariantViolation(int i)`
  Creates a loop-variant violation with an integer detail.
  `LoopVariantViolation(long l)`
  Creates a loop-variant violation with a long detail.
  `LoopVariantViolation(Object o)`
  Creates a loop-variant violation with an object-valued detail.

- ## Method Summary

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### LoopVariantViolation

    public LoopVariantViolation()
    Creates a loop-variant violation without an explicit detail message.

  - ### LoopVariantViolation

    public LoopVariantViolation(Object o)
    Creates a loop-variant violation with an object-valued detail.
    Parameters:
      `o` - the detail object

  - ### LoopVariantViolation

    public LoopVariantViolation(boolean b)
    Creates a loop-variant violation with a boolean detail.
    Parameters:
      `b` - the detail value

  - ### LoopVariantViolation

    public LoopVariantViolation(char c)
    Creates a loop-variant violation with a character detail.
    Parameters:
      `c` - the detail value

  - ### LoopVariantViolation

    public LoopVariantViolation(int i)
    Creates a loop-variant violation with an integer detail.
    Parameters:
      `i` - the detail value

  - ### LoopVariantViolation

    public LoopVariantViolation(long l)
    Creates a loop-variant violation with a long detail.
    Parameters:
      `l` - the detail value

  - ### LoopVariantViolation

    public LoopVariantViolation(float f)
    Creates a loop-variant violation with a floating-point detail.
    Parameters:
      `f` - the detail value

  - ### LoopVariantViolation

    public LoopVariantViolation(double d)
    Creates a loop-variant violation with a double-precision detail.
    Parameters:
      `d` - the detail value